Bug 810374 - Review Request: xpl4linux - An xPLHub based on xPL framework
Review Request: xpl4linux - An xPLHub based on xPL framework
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2012-04-05 15:24 EDT by Cédric OLIVIER
Modified: 2013-05-15 15:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-15 15:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cédric OLIVIER 2012-04-05 15:24:56 EDT
Spec URL: http://cquad.dyndns.org/hg/xpl4linux/raw-file/13aecad7d3a6/SPECS/xpl4linux.spec
SRPM URL: http://cquad.dyndns.org/hg/xpl4linux/raw-file/13aecad7d3a6/SRPMS/xpl4linux-1.3a-5.fc16.src.rpm

Hi, I just finished packaging up xpl4linux, I would appreciate a review so that I can get it into EL6 and Fedora Extras

xpl4linux is an xPL Hub based on xPL framework that hides most of the details of dealing with xPL.It will handle filtering messages, sending heartbeats, formatting and parsing messages, directing messages to handlers based on where they were bound from, etc.
Comment 1 Cédric OLIVIER 2012-04-05 15:31:13 EDT
rpmlint output :
xpl4linux.x86_64: W: spelling-error Summary(en_US) xPLHub 
xpl4linux.x86_64: W: spelling-error Summary(en_US) xPL -> x Pl, cpl, pl
xpl4linux.x86_64: W: spelling-error %description -l en_US xPL -> x Pl, cpl, pl
xpl4linux.x86_64: W: no-manual-page-for-binary xPLSend
xpl4linux.x86_64: W: no-manual-page-for-binary xPL_Clock
xpl4linux.x86_64: W: no-manual-page-for-binary xPL_Logger
xpl4linux.x86_64: W: no-manual-page-for-binary xPL_ConfigClock

For spelling-error xpl is a protocol.
For no-manual-page, I have only a man page for principal binary xPLHub.

rpmlint is silent for other packages (devel, libs and debug) except same spelling-errors
Comment 2 Jason Tibbitts 2013-05-01 21:49:23 EDT
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

sprc and srpm links appear to be invalid; I cannot resolve the host.
Comment 3 Cédric OLIVIER 2013-05-10 13:50:01 EDT
Those files are now available on : 
Spec URL: http://cquad.eu/hg/xpl4linux/raw-file/13aecad7d3a6/SPECS/xpl4linux.spec
SRPM URL: http://cquad.eu/hg/xpl4linux/raw-file/13aecad7d3a6/SRPMS/xpl4linux-1.3a-5.fc16.src.rpm

This package was needed by domogik which I want to package. Now domogik included his own XPL Hub. 

xpl4linux is an old project without any new contribution a long time ago.

Perhaps it would be better to close this review ?
Comment 4 Jason Tibbitts 2013-05-15 15:26:44 EDT
I guess I'll go ahead and close this.

Note You need to log in before you can comment on or make changes to this bug.